/*  RAxML-VI-HPC (version 2.0) a program for sequential and parallel estimation of phylogenetic trees 
 *  Copyright June 2006 by Alexandros Stamatakis
 *
 *  Partially derived from
 *  fastDNAml, a program for estimation of phylogenetic trees from sequences by Gary J. Olsen
 *  
 *  and 
 *
 *  Programs of the PHYLIP package by Joe Felsenstein.
 *
 *  This program is free software; you may redistribute it and/or modify its
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 * 
 *
 *  For any other enquiries send an Email to Alexandros Stamatakis
 *  stamatak@ics.forth.gr
 *
 *  When publishing work that is based on the results from RAxML-HPC please cite:
 *
 *  Alexandros Stamatakis, Thomas Ludwig, and Harald Meier: "RAxML-III: A Fast Program for Maximum Likelihood-based Inference of Large Phylogenetic Trees". 
 *  In Bioinformatics 21(4):456-463.
 */


#ifdef PARALLEL
int numOfWorkers;
#endif
int processID;
infoList iList;
FILE   *INFILE;
char *optarg;                  

int  optind,opterr,optopt;      
int Thorough = 0;

char run_id[128] = "", workdir[1024] = "", 
  seq_file[1024] = "", tree_file[1024]="", weightFileName[1024] = "", modelFileName[1024] = "", bootStrapFile[1024] = "", 
  permFileName[1024] = "", resultFileName[1024] = "", 
  logFileName[1024] = "", checkpointFileName[1024] = "", infoFileName[1024] = "", randomFileName[1024] = "", 
  rellBootFileName[1024] = "", rellInfoFileName[1024] = "", bootstrapFileName[1024] = "";
char *likelihood_key   = "likelihood";
char *ntaxa_key        = "ntaxa";
char *smoothed_key     = "smoothed";
 
double masterTime;
int allocCount = 0;
int numberOfRelledTopologies = 0;


int partCount = 0;

int optimizeRatesInvocations = 1;  
int optimizeRateCategoryInvocations = 1;
int optimizeAlphaInvocations = 1;
